package pwc.taxtech.atms.constant.enums;

public enum CalendarEnum {

    CALENDAR_EVENT_COMPLETED("已完成", "1", ""),
    CALENDAR_EVENT_NOT_COMPLETED("未完成", "0", ""),

    CALENDAR_CONFIG_ABLE("启用", "1", ""),
    CALENDAR_CONFIG_DISABLE("未启用", "0", ""),

    EVENT_TYPE_USER_DEFINE("自定义类型,", "1", "从event表中直接读取出来的数据"),
    EVENT_TYPE_SYSTEM_CONFIG("系统配置类型", "2", "从config表中读取信息构造的数据");

    CalendarEnum(String name, String code, String description) {
        this.name = name;
        this.code = code;
        this.description = description;
    }

    private String name;
    private String code;
    private String description;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
