package pwc.taxtech.atms.calendar.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p> @Description </p>
 *
 * @Author: Mccoy Z Xia (Xia zhixin)
 * @Date: 2019-07-13 19:34
 * @Version: 1.0
 **/
public class CalendarConfigGroupByEntityDto implements Serializable {

    private static final long serialVersionUID = 663558017348889443L;

    public CalendarConfigGroupByEntityDto() {

    }

    public CalendarConfigGroupByEntityDto(String entityName, int calendarCount, int taskTypeCount, List<CalendarConfigDto> entityCalendarList) {
        this.entityName = entityName;
        this.calendarCount = calendarCount;
        this.taskTypeCount = taskTypeCount;
        this.entityCalendarList = entityCalendarList;
    }

    private String entityName;

    private int calendarCount;

    private int taskTypeCount;

    private List<CalendarConfigDto> entityCalendarList;

    public String getEntityName() {
        return entityName;
    }

    public void setEntityName(String entityName) {
        this.entityName = entityName;
    }

    public int getCalendarCount() {
        return calendarCount;
    }

    public void setCalendarCount(int calendarCount) {
        this.calendarCount = calendarCount;
    }

    public int getTaskTypeCount() {
        return taskTypeCount;
    }

    public void setTaskTypeCount(int taskTypeCount) {
        this.taskTypeCount = taskTypeCount;
    }

    public List<CalendarConfigDto> getEntityCalendarList() {
        return entityCalendarList;
    }

    public void setEntityCalendarList(List<CalendarConfigDto> entityCalendarList) {
        this.entityCalendarList = entityCalendarList;
    }
}
