package pwc.taxtech.atms.organization.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;
import pwc.taxtech.atms.organization.dpo.OrganizationHKDto;
import pwc.taxtech.atms.organization.entity.OrganizationHK;

@Mapper(componentModel = "spring")
public interface OrganizationHKTMapper {
    OrganizationHKTMapper ORGANIZATION_HK_MAPPER = Mappers.getMapper(OrganizationHKTMapper.class);

    @Mapping(source = "createTime", target = "createTime" ,dateFormat = "yyyy/MM/dd")
    @Mapping(source = "updateTime", target = "updateTime" ,dateFormat = "yyyy/MM/dd")
    @Mapping(source = "dateOfIncorporation", target = "dateOfIncorporation" ,dateFormat = "yyyy/MM/dd")
    OrganizationHKDto toOrganizationHKDto(OrganizationHK organizationHK);
}
