package pwc.taxtech.atms.calendar.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p> @Description </p>
 *
 * @Author: Mccoy Z Xia (Xia zhixin)
 * @Date: 2019-07-11 18:04
 * @Version: 1.0
 **/
public class CalendarConfigDto implements Serializable {

    private static final long serialVersionUID = 3866378052812843016L;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    private String taskName;

//    private List<EntityDto> entityList;
//
//    private List<CalendarTaskTypeDto> taskTypeList;

    private String entityIds;

    private String entityNames;

    private String taskTypeIds;

    private String taskTypeNames;

    private String projectMonths;

    private String projectDays;

    private Date validDateStart;

    private Date validDateEnd;

    private String validDate;

    private String staff;

    private Integer orderIndex;

    private Byte status;

    private String notes;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEntityIds() {
        return entityIds;
    }

    public void setEntityIds(String entityIds) {
        this.entityIds = entityIds;
    }

    public String getEntityNames() {
        return entityNames;
    }

    public void setEntityNames(String entityNames) {
        this.entityNames = entityNames;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskTypeIds() {
        return taskTypeIds;
    }

    public void setTaskTypeIds(String taskTypeIds) {
        this.taskTypeIds = taskTypeIds;
    }

    public String getTaskTypeNames() {
        return taskTypeNames;
    }

    public void setTaskTypeNames(String taskTypeNames) {
        this.taskTypeNames = taskTypeNames;
    }

    public String getProjectMonths() {
        return projectMonths;
    }

    public void setProjectMonths(String projectMonths) {
        this.projectMonths = projectMonths;
    }

    public String getProjectDays() {
        return projectDays;
    }

    public void setProjectDays(String projectDays) {
        this.projectDays = projectDays;
    }

    public Date getValidDateStart() {
        return validDateStart;
    }

    public void setValidDateStart(Date validDateStart) {
        this.validDateStart = validDateStart;
    }

    public Date getValidDateEnd() {
        return validDateEnd;
    }

    public void setValidDateEnd(Date validDateEnd) {
        this.validDateEnd = validDateEnd;
    }

    public String getStaff() {
        return staff;
    }

    public void setStaff(String staff) {
        this.staff = staff;
    }

    public Integer getOrderIndex() {
        return orderIndex;
    }

    public void setOrderIndex(Integer orderIndex) {
        this.orderIndex = orderIndex;
    }

    public Byte getStatus() {
        return status;
    }

    public void setStatus(Byte status) {
        this.status = status;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getValidDate() {
        return validDate;
    }

    public void setValidDate(String validDate) {
        this.validDate = validDate;
    }
}
